FROM python:latest

# Устанавливаю рабочую директорию внутри контейнера
WORKDIR /app

# Копирую файл requirements.txt в контейнер
COPY requirements.txt .

# Устанавливаю зависимости
RUN pip install --no-cache-dir -r requirements.txt

# Копирую все файлы в контейнер
COPY theme_service/theme_service.py .

# Команда для запуска Python-скрипта
CMD ["python", "theme_service.py"]
